// udalkr3.cpp: определяет точку входа для консольного приложения.
//
#include "stdafx.h"
#include <stdio.h>
#include <string.h>
struct rec{
       char ch;
       rec *p;};
void main()
   {rec *f,*first,*q,*p,*last;
char st[40];
puts("Input string with *");
gets(st);

     first=new rec;
	
    first->p=NULL;
	first->ch=st[0];
	last=first;
	int i=1;
	while(st[i]!='\0')
	{
       q=new rec;
	   q->ch=st[i];
	   q->p=NULL;
       last->p=q;
	   last=q;
	   i++;
	}
	puts("Inputed spisok");
       q=first;
       while(q!=NULL)
	     {printf("%2c",q->ch);
         q=q->p;}
	     printf("\n");

	 q=f=first;i=0;
	while(q!=NULL)
	{   i++; 
		if(i%3==0)
	    {p=q;
		 f->p=q->p;
		 delete p;
		 q=f->p;
	    }
		else
		{f=q;
		q=q->p;}
	}

	puts("NEW spisok");
       q=first;
       while(q!=NULL)
	  {printf("%2c",q->ch);
       q=q->p;}
	   printf("\n");
 }